#!/usr/bin/env python3
from pathlib import Path

NETNS_PATH = Path('/var/run/netns')
CACHE_PATH = Path('/var/cache/pequod-agent')
LOCK_PATH = Path('/var/lock/pequod-agent')
DATA_PATH = Path('/var/lib/pequod-agent')
PERSISTENCE_PATH = DATA_PATH / 'persistence'
INSTANCE_DATA_PATH = DATA_PATH / 'instances'
CGROUPS_SYSFS = Path('/sys/fs/cgroup')

RESOLV_CONF_PATH = Path('/etc/resolv.conf')
PASSWD_PATH = Path('/etc/passwd')

PATHS_TO_SETUP = NETNS_PATH, CACHE_PATH, LOCK_PATH, DATA_PATH, PERSISTENCE_PATH, INSTANCE_DATA_PATH